package com.chenyang.nse.bussiness.sso.vo;

public class SSOUserVO {
   String username;
   String displayName;
   String id;
   String orgs;
   String password;

   public String getUsername() {
      return this.username;
   }

   public String getDisplayName() {
      return this.displayName;
   }

   public String getId() {
      return this.id;
   }

   public String getOrgs() {
      return this.orgs;
   }

   public String getPassword() {
      return this.password;
   }

   public void setUsername(final String username) {
      this.username = username;
   }

   public void setDisplayName(final String displayName) {
      this.displayName = displayName;
   }

   public void setId(final String id) {
      this.id = id;
   }

   public void setOrgs(final String orgs) {
      this.orgs = orgs;
   }

   public void setPassword(final String password) {
      this.password = password;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SSOUserVO)) {
         return false;
      } else {
         SSOUserVO other = (SSOUserVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$username = this.getUsername();
            Object other$username = other.getUsername();
            if (this$username == null) {
               if (other$username != null) {
                  return false;
               }
            } else if (!this$username.equals(other$username)) {
               return false;
            }

            Object this$displayName = this.getDisplayName();
            Object other$displayName = other.getDisplayName();
            if (this$displayName == null) {
               if (other$displayName != null) {
                  return false;
               }
            } else if (!this$displayName.equals(other$displayName)) {
               return false;
            }

            Object this$id = this.getId();
            Object other$id = other.getId();
            if (this$id == null) {
               if (other$id != null) {
                  return false;
               }
            } else if (!this$id.equals(other$id)) {
               return false;
            }

            Object this$orgs = this.getOrgs();
            Object other$orgs = other.getOrgs();
            if (this$orgs == null) {
               if (other$orgs != null) {
                  return false;
               }
            } else if (!this$orgs.equals(other$orgs)) {
               return false;
            }

            Object this$password = this.getPassword();
            Object other$password = other.getPassword();
            if (this$password == null) {
               if (other$password != null) {
                  return false;
               }
            } else if (!this$password.equals(other$password)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof SSOUserVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $username = this.getUsername();
      result = result * 59 + ($username == null ? 43 : $username.hashCode());
      Object $displayName = this.getDisplayName();
      result = result * 59 + ($displayName == null ? 43 : $displayName.hashCode());
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $orgs = this.getOrgs();
      result = result * 59 + ($orgs == null ? 43 : $orgs.hashCode());
      Object $password = this.getPassword();
      result = result * 59 + ($password == null ? 43 : $password.hashCode());
      return result;
   }

   public String toString() {
      return "SSOUserVO(username=" + this.getUsername() + ", displayName=" + this.getDisplayName() + ", id=" + this.getId() + ", orgs=" + this.getOrgs() + ", password=" + this.getPassword() + ")";
   }
}
